Bug 1119174 - Error "cannot finalize remaining file systems and devices"
Summary: Error "cannot finalize remaining file systems and devices"
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 08:28 UTC by lionghostshop
Modified: 2015-06-29 21:34 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:34:52 UTC


Attachments (Terms of Use)
screenshot (2.24 MB, image/jpeg)
2014-07-14 08:28 UTC, lionghostshop
no flags Details

Description lionghostshop 2014-07-14 08:28:46 UTC
Created attachment 917701 [details]
screenshot

Description of problem:


Version-Release number of selected component (if applicable):

dracut-037-11.git20140402.fc20.x86_64
How reproducible:


Steps to Reproduce:
1. reboot machine
2.
3.

Actual results:
As shown in the attachment

Expected results:
No such warning

Additional info:
I am using thinkpad t400

Comment 1 Harald Hoyer 2014-07-18 07:42:56 UTC
Error "cannot finalize remaining file systems and devices"

is a message from systemd.

Comment 2 Jóhann B. Guðmundsson 2014-07-18 10:05:01 UTC
Hmm I thought Zbigniew already had made this message more informative anywho this is happening because systemd could not manage to unmount/deactivate anything and gives up so something is preventing that from happening

Have you encrypted your partition or are you using network filesystem?

Could you attach your /etc/fstab as well as any mount units if you have manually created ones?

Comment 3 lionghostshop 2014-07-18 12:43:15 UTC
I do not encrypt my partition and use network filesystem.
fstab is

/dev/mapper/fedora-root /                       ext4    defaults,discard        1 1
UUID=97be306e-352d-4397-a6fb-a6116a1c45c7 /boot                   ext4    defaults,discard        1 2
/dev/mapper/fedora-home /home                   xfs     defaults,discard        0 0
/dev/mapper/fedora-swap swap                    swap    defaults,discard        0 0

Comment 4 Fedora End Of Life 2015-05-29 12:21:53 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-29 21:34:52 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.